gnutls_pkcs11_delete_url(3)

NAME
gnutls_pkcs11_delete_url - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pkcs11_delete_url(const char * object_url, unsigned int flags);

ARGUMENTS

const char * object_url
    The URL of the object to delete.

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will delete objects matching the given URL.

RETURNS
On success, the number of objects deleted is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.